# Poco

# class Void

Library: Foundation
Package: Core
Header: Poco/Void.h

## Description

A dummy class with value-type semantics, mostly useful as a template argument.

This class is typically used together with ActiveMethod, if no argument or return value is needed.

## Member Summary

Member Functions: operator !=, operator =, operator ==

## Constructors

### Void

Void();

Creates the Void.

### Void

Void(
const Void & v
);

Creates the Void from another Void.

The philosophical aspects of this operation remain undiscussed for now.

## Destructor

### ~Void

~Void();

Destroys the Void.

## Member Functions

### operator !=

bool operator != (
const Void & v
) const;

Will return always false due to Voids having no members.

### operator =

Void & operator = (
const Void & v
);

Assigns another void.

### operator ==

bool operator == (
const Void & v
) const;

Will return always true due to Voids having no members.